package idnum

import (
	"fmt"
	"testing"
)

const (
	Status_1 = iota + 1
	Status_2
)

func Test_fb_recursion(t *testing.T) {

	citizenNo := []byte("370406199808220116")
	err, birthday, isMale, add := GetCitizenNoInfo(citizenNo)
	fmt.Println(birthday, isMale, add, err)

	citizenNo = []byte("370406199808220116")
	err, birthday, isMale, add = GetCitizenNoInfo(citizenNo)
	fmt.Println(birthday, isMale, add, err)
	fmt.Println(Status_1)
	fmt.Println(Status_2)

}
